Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | List of all members
CSAudioInterfaceIOS Class Reference

`#import <CSAudioInterfaceIOS.h>`

Inherits NSObject, and <CSAudioInterface>.

## Instance Methods
(instancetype) | - initWithAudioEngine:
Instance Methods inherited from <CSAudioInterface>
(BOOL) | - isBluetoothActive
(void) | - startBluetooth
(void) | - stopBluetooth
(BOOL) | - isBluetoothConnected
(BOOL) | - isHeadsetConnected
(BOOL) | - isSpeakerConnected
(BOOL) | - setTelephonyEventPayloadType:
| Sets the dynamic payload type for telephony events. More...
(int) | - getTelephonyEventPayloadType
| Get the telephony event payload type. More...
(BOOL) | - mute:
| Set the muted state of the audio. More...
(BOOL) | - muteSpeaker:
| Set the muted state of the speaker. More...
(void) | - registerRecordPlayStatusListener:
(BOOL) | - setSpeakerGain:
| Set the speaker audio gain. More...
(int) | - speakerGain
| Get the speaker audio gain. More...
(BOOL) | - setMicrophoneGain:
| Set the microphone audio gain. More...
(int) | - microphoneGain
| Get the microphone audio gain. More...
(id< CSAudioFilePlayer >) | - createAudioFilePlayer:
| Create an Audio File Player. More...
(BOOL) | - setDscp:
| This function sets DSCP value for audio. More...

## Additional Inherited Members
Properties inherited from <CSAudioInterface>
BOOL | audioMuted
| Current muted state of the audio. More...
BOOL | speakerMuted
| Current muted state of the speaker. More...
NSArray *availableRecordDevices | __deprecated
| Array of (AudioDevice*) available Microphone devices. More...
NSArray *availablePlayDevices | __deprecated
| Array of (AudioDevice*) available Playout devices. More...
NSArray *availableAudioDevices | __deprecated
CSMicrophoneDevice *activeMicrophone | __deprecated
CSSpeakerDevice *activeSpeaker | __deprecated
CSMicrophoneDevice *userRequestedMicrophone | __deprecated
CSSpeakerDevice *userRequestedSpeaker | __deprecated
CSAudioDevice *userRequestedDevice | __deprecated
id< CSAudioDevicesEventListener > | delegate

## Method Documentation

- (instancetype) initWithAudioEngine: |  | (void *) | audioEngine |

The documentation for this class was generated from the following file:

- CSAudioInterfaceIOS.h